
Smart Proxy - Feature #19066

Use Puppetserver's CA API instead of CLI commands

03/29/2017 05:26 AM - Anonymous

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: PuppetCA   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

https://docs.puppet.com/puppet/latest/http_api/http_api_index.html#ssl-certificate-related-services could be used instead of using

"puppet cert", although the API might be incomplete for the Foreman use cases, yet.

Related issues:

Related to Smart Proxy - Bug #3995: pending certificates don't get deleted wi... Rejected

Is duplicate of Smart Proxy - Feature #25065: PuppetCA smart proxy - Puppet 6... Closed

History

#1 - 03/29/2017 05:26 AM - Anonymous

- Related to Bug #3995: pending certificates don't get deleted with puppet 3.x added

#2 - 03/29/2017 09:36 AM - Anonymous

Puppet CA api expose only a subset of features we currently rely on in our api. Some of the things that are missing are listing of certificates, signing of

certificates, managing auto-signed certificate list.

#3 - 03/29/2017 07:13 PM - Anonymous

https://docs.puppet.com/puppet/latest/http_api/http_certificate_status.html#save describes the signing, but in general, there are some things definitely

missing.

#4 - 11/30/2017 09:40 AM - Tomer Brisker

- Category changed from Puppet to PuppetCA

#5 - 06/06/2019 02:28 PM - Ewoud Kohl van Wijngaarden

- Is duplicate of Feature #25065: PuppetCA smart proxy - Puppet 6 integration. added

#6 - 06/06/2019 02:28 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Duplicate

#25065 implemented this.
